# at_app_flutter

<img width=250px src="https://atsign.dev/assets/img/@platform_logo_grey.svg?sanitize=true">

[![pub package](https://img.shields.io/pub/v/at_app_flutter)](https://pub.dev/packages/at_app_flutter) [![pub points](https://badges.bar/at_app_flutter/pub%20points)](https://pub.dev/packages/at_app_flutter/score) [![gitHub license](https://img.shields.io/badge/license-BSD3-blue.svg)](./LICENSE)
## Overview

at_app_flutter contains additional logic that applications generated by at_app use.

This open source package is written in Dart, supports Flutter and follows the
@‎platform's decentralized, edge computing model with the following features:
- Cryptographic control of data access through personal data stores
- No application backend needed
- End to end encryption where only the data owner has the keys
- Private and surveillance free connectivity

We call giving people control of access to their data “flipping the internet”
and you can learn more about how it works by reading this
[overview](https://atsign.dev/docs/overview/).

## Get started

This package is automatically included in your application when you generate an app using [at_app](https://pub.dev/packages/at_app). See the [at_app usage](https://pub.dev/packages/at_app/example) to learn how to generate an app that includes this package.

#### How it works

This package includes the `AtEnv` model which interprets @platform specific environment variables from a .env file.

##### Usage

See the [example tab](https://pub.dev/packages/at_app_flutter/example).

## Open source usage and contributions

This is open source code, so feel free to use it as is, suggest changes or
enhancements or create your own version. See [CONTRIBUTING.md](../CONTRIBUTING.md)
for detailed guidance on how to setup tools, tests and make a pull request.

## Acknowledgement/attribution

Copyright 2014 The Flutter Authors. All rights reserved.

This project is an extension of, and utilises `flutter create` to generate templates.
Code reused from the flutter sdk is marked with the copyright.
Please see the original license [here.](https://github.com/flutter/flutter/blob/master/LICENSE)

## Maintainers

This package is currently maintained by [Xavier Chanthavong](https://github.com/xavierchanth).

If you found a bug or would like to request a change, please open an issue.
If you need help using at_app, please contact us in our [Discord server](https://discord.gg/55sHTQFxfz).

If you would like to contribute to this project, please note it in an issue, and submit a PR with your completed changes. Contributions are more than welcome!

